<ion-accordion *ngIf="quadroAprovacao" value="quadro_aprovacao">
  <ion-item slot="header" color="light">
    <ion-label>Quadro de Aprovações</ion-label>
  </ion-item>
  <div class="ion-padding" slot="content">
    <ion-accordion-group>
      <ion-accordion
        *ngFor="let quadroAprov of quadroAprovacao"
        value="accordion-aprovacao-{{quadroAprov.id}}">

        <ion-item slot="header" color="light">
          <ion-label>{{quadroAprov.grupo.nome}}</ion-label>
        </ion-item>
        <div *ngIf="quadroAprov.grupo.fiscal ==1" class=""
          slot="content">
          <div *ngFor="let vld of validacaoFiscal">
            <ion-row *ngIf="vld.status != 3" style="font-size: 14px">
              <ion-col size="7" style="text-align: start">{{vld.usuario?.contato?.nome}}</ion-col>
              <ion-col size="4">
                <span class="{{vld.validado?'aprovado':'reprovado'}}">
                  {{vld.validado?"APROVADO":"REPROVADO"}}
                </span>
              </ion-col>
              <ion-col
                size="1"
                id="open-modal-info-fiscal-{{quadroAprov.id}}"
                (click)="openModalInfoFiscal(vld)">
                <ion-icon
                  name="information-circle-outline"
                  class="info-icon"></ion-icon>
              </ion-col>
            </ion-row>
          </div>

          <!-- <ion-row style="font-size: 14px" *ngIf="!validacaoFiscal">
            <ion-col style="text-align: center" size="12">
              <span class="aguardando">
                AGUARDANDO APROVAÇÕES
              </span>
            </ion-col>
          </ion-row> -->
          <ion-modal
            #modal
            class="modal-info-fiscal"
            trigger="open-modal-info-fiscal-{{quadroAprov.id}}">
            <ng-template>
              <ion-header>
                <ion-toolbar>
                  <ion-title>Validação Fiscal</ion-title>
                  <ion-buttons slot="end">
                    <ion-button (click)="modal.dismiss()">
                      <ion-icon name="close-outline"></ion-icon>
                    </ion-button>
                  </ion-buttons>
                </ion-toolbar>
              </ion-header>
              <ion-content class="content-modal">
                <div class="ion-padding">
                  <ion-card class="box-dados">
                    <div class="content-dados">
                      <div class="content-dados-info">
                        <span>USUÁRIO:</span>
                        <label>{{modalInfoFiscal.usuario.login}}</label>
                      </div>
                      <div class="content-dados-info">
                        <span>NOME:</span>
                        <label>{{modalInfoFiscal?.usuario?.contatos?.nome}}</label>
                      </div>
                      <div class="content-dados-info">
                        <span>DATA/HORA:</span>
                        <label>{{modalInfoFiscal.data_hora_registro}}</label>
                      </div>
                      <div class="content-dados-info">
                        <span>STATUS:</span>
                        <label
                          class="
                          {{modalInfoFiscal.validado ==
                          1?'aprovado':'reprovado'}}">
                          {{modalInfoFiscal.validado ==
                          1?"APROVADO":"REPROVADO"}}
                        </label>
                      </div>
                      <div class="content-dados-info">
                        <span>PARECER:</span>
                        <label>{{modalInfoFiscal.motivo}}</label>
                      </div>
                      <div
                        *ngIf="modalInfoFiscal.req_aprovacao_fiscal_anexo"
                        class="content-dados-info">
                        <span>ANEXO:</span>
                        <label
                          *ngIf="modalInfoFiscal?.req_aprovacao_fiscal_anexo[0]?.caminho"
                          (click)="viewAnx(urlServer.replace('/api','')
                          +'/'+modalInfoFiscal.req_aprovacao_fiscal_anexo[0].caminho)"
                          class="text-primary">
                          <ion-icon class="attach-outline"
                            name="attach-outline"></ion-icon>
                          <!-- {{'anexo.'+modalInfoFiscal.req_aprovacao_fiscal_anexo[0].caminho.split('.')[1]}} -->
                        </label>
                      </div>
                    </div>
                  </ion-card>
                </div>
              </ion-content>
            </ng-template>
          </ion-modal>
        </div>
        <div *ngIf="quadroAprov.grupo.fiscal ==0" class="ion-padding"
          slot="content">
          <div *ngFor="let aprov of quadroAprov.aprovacao">
            <ion-row style="font-size: 14px">
              <ion-col size="6">{{aprov?.usuario?.contato?.nome}}</ion-col>
              <ion-col size="5">
                <span
                  class="{{aprov.aprovado?'aprovado':'reprovado'}}">
                  {{aprov.aprovado?"APROVADO":"REPROVADO"}}
                </span>
              </ion-col>
              <ion-col
                size="1"
                id="open-modal-quadro-aprovacao-{{aprov.id}}">
                <ion-icon
                  name="information-circle-outline"
                  class="info-icon"></ion-icon>
              </ion-col>
            </ion-row>
            <ion-modal
              #modal
              class="modal-info-quadro-aprovacao"
              trigger="open-modal-quadro-aprovacao-{{aprov.id}}">
              <ng-template>
                <ion-header>
                  <ion-toolbar>
                    <ion-title>{{quadroAprov.grupo.nome}}</ion-title>
                    <ion-buttons slot="end">
                      <ion-button (click)="modal.dismiss()">
                        <ion-icon name="close-outline"></ion-icon>
                      </ion-button>
                    </ion-buttons>
                  </ion-toolbar>
                </ion-header>
                <ion-content class="content-modal">
                  <div class="ion-padding">
                    <ion-card class="box-dados">
                      <div class="content-dados">
                        <div class="content-dados-info">
                          <span>USUÁRIO:</span>
                          <label>{{aprov.usuario.login}}</label>
                        </div>
                        <div class="content-dados-info">
                          <span>NOME:</span>
                          <label>{{aprov?.usuario?.contato?.nome}}</label>
                        </div>
                        <div class="content-dados-info">
                          <span>PLATAFORMA:</span>
                          <label>{{aprov.plataforma == 1?"WEB":"APP"}}</label>
                        </div>
                        <div class="content-dados-info">
                          <span>HORÁRIO:</span>
                          <label>{{aprov.data_hora_aprovacao}}</label>
                        </div>
                        <div class="content-dados-info">
                          <span>STATUS:</span>
                          <label
                            class="{{aprov.aprovado ==
                            1?'aprovado':'reprovado'}}">
                            {{aprov.aprovado ==
                            1?"APROVADO":"REPROVADO"}}
                          </label>
                        </div>
                        <div class="content-dados-info">
                          <span>MOTIVO:</span>
                          <label>{{aprov.motivo_notas}}</label>
                        </div>
                        <div
                          *ngIf="aprov.anexo"
                          class="content-dados-info">
                          <span>ANEXO:</span>
                          <label
                            *ngIf="aprov?.anexo?.caminho"
                            (click)="viewAnx(urlServer.replace('/api','')
                            +'/'+aprov.anexo.caminho)"
                            class="text-primary">
                            <ion-icon class="attach-outline"
                              name="attach-outline"></ion-icon>
                            <!-- {{'anexo.'+aprov.anexo.caminho.split('.')[1]}} -->
                          </label>
                        </div>
                      </div>
                    </ion-card>
                  </div>
                </ion-content>
              </ng-template>
            </ion-modal>
          </div>
          <ion-row style="font-size: 14px">
            <ion-col style="text-align: center" size="12">
              <hr />
              <span
                class="{{quadroAprov.fim_sequencia?'concluida':'aguardando'}}">
                {{quadroAprov.fim_sequencia?'CONCLUIDA':'AGUARDANDO APROVAÇÕES'}}
              </span>
            </ion-col>
          </ion-row>
        </div>

        <div *ngIf="quadroAprov.grupo.fiscal ==1" class="ion-padding"
        slot="content">
        <div *ngFor="let aprov of quadroAprov.aprovacao">
          <ion-row style="font-size: 14px">
            <ion-col size="6">{{aprov?.usuario?.contato?.nome}}</ion-col>
            <ion-col size="5">
              <span
                class="{{aprov.validado?'aprovado':'reprovado'}}">
                {{aprov.validado ==0?"INVÁLIDO":"VÁLIDA"}}
              </span>
            </ion-col>
            <ion-col
              size="1"
              id="open-modal-quadro-fiscal-{{aprov.id}}">
              <ion-icon
                name="information-circle-outline"
                class="info-icon"></ion-icon>
            </ion-col>
          </ion-row>
          <ion-modal
            #modal
            class="modal-info-quadro-aprovacao"
            trigger="open-modal-quadro-fiscal-{{aprov.id}}">
            <ng-template>
              <ion-header>
                <ion-toolbar>
                  <ion-title>{{quadroAprov.grupo.nome}}</ion-title>
                  <ion-buttons slot="end">
                    <ion-button (click)="modal.dismiss()">
                      <ion-icon name="close-outline"></ion-icon>
                    </ion-button>
                  </ion-buttons>
                </ion-toolbar>
              </ion-header>
              <ion-content class="content-modal">
                <div class="ion-padding">
                  <ion-card class="box-dados">
                    <div class="content-dados">
                      <div class="content-dados-info">
                        <span>USUÁRIO:</span>
                        <label>{{aprov.usuario.login}}</label>
                      </div>
                      <div class="content-dados-info">
                        <span>NOME:</span>
                        <label>{{aprov?.usuario?.contato?.nome}}</label>
                      </div>
                      <div class="content-dados-info">
                        <span>HORÁRIO:</span>
                        <label>{{aprov.data_hora_registro}}</label>
                      </div>
                      <div class="content-dados-info">
                        <span>STATUS:</span>
                        <label
                          class="{{aprov.validado ==
                          1?'aprovado':'reprovado'}}">
                          {{aprov.validado ==
                          0?"INVÁLIDO":"VÁLIDA"}}
                        </label>
                      </div>
                      <div class="content-dados-info">
                        <span>MOTIVO:</span>
                        <label>{{aprov.motivo}}</label>
                      </div>
                      <div
                        *ngIf="aprov.anexo"
                        class="content-dados-info">
                        <span>ANEXO:</span>
                        <label
                          *ngIf="aprov?.anexo?.caminho"
                          (click)="viewAnx(urlServer.replace('/api','')
                          +'/'+aprov.anexo.caminho)"
                          class="text-primary">
                          <ion-icon class="attach-outline"
                            name="attach-outline"></ion-icon>
                          <!-- {{'anexo.'+aprov.anexo.caminho.split('.')[1]}} -->
                        </label>
                      </div>
                    </div>
                  </ion-card>
                </div>
              </ion-content>
            </ng-template>
          </ion-modal>
        </div>
        <ion-row style="font-size: 14px">
          <ion-col style="text-align: center" size="12">
            <hr />
            <span
              class="{{quadroAprov.fim_sequencia?'concluida':'aguardando'}}">
              {{quadroAprov.fim_sequencia?'CONCLUIDA':'AGUARDANDO VALIDAÇÃO'}}
            </span>
          </ion-col>
        </ion-row>
      </div>

      </ion-accordion>
      <ion-row
        style="font-size: 14px"
        *ngIf="!quadroAprovacao">
        <ion-col style="text-align: center" size="12">
          <span class="aguardando">
            Ainda não há grupo de aprovação
          </span>
        </ion-col>
      </ion-row>
    </ion-accordion-group>
  </div>
</ion-accordion>
